package lc.esp.eo.sdk.schema;

/**
 * This class implements the descriptive schema for an individual field. Fields are utilized for user-defined storage
 * and appear in both objects and associations.
 *
 * @author Alex Leigh
 * @since mk20 (TOKYO PROTOCOL)
 */
public class FieldSchema {
    private final String name;
    private final boolean isRequired;

    public FieldSchema(String name, boolean isRequired) {
        this.name = name;
        this.isRequired = isRequired;
    }

    public String getName() {
        return name;
    }

    public boolean isRequired() {
        return isRequired;
    }
}
